> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all accounts

> List all accounts associated with a user under your organization.



## OpenAPI

````yaml https://production.hifi.com/api/v2/openapi.json get /v2/users/{userId}/accounts
openapi: 3.0.0
info:
  title: Hifi API
  version: 2.0.0
  description: API documentation for Hifi
servers:
  - url: https://production.hifibridge.com
    description: Production server
  - url: https://sandbox.hifibridge.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Kyc
    description: Kyc endpoints
  - name: Wallet
    description: Wallet endpoints
  - name: Account
    description: Account endpoints
  - name: External Account
    description: External Account endpoints for managing beneficiary bank accounts
  - name: Fiat Account
    description: Fiat Account endpoints
  - name: Virtual Account
    description: Virtual Account endpoints
  - name: Onramp
    description: Onramp endpoints
  - name: Offramp
    description: Offramp endpoints
  - name: Orchestration Address
    description: >-
      Orchestration Address endpoints — persistent on-chain wallets that
      automatically off-ramp incoming stablecoin deposits to a USD bank account
  - name: Crypto Transfer
    description: Crypto Transfer endpoints
  - name: Cross-Chain Bridge
    description: Cross-Chain Bridge endpoints
  - name: Token Swap
    description: Token Swap endpoints
  - name: Canton Offers
    description: Canton Offers endpoints
  - name: Transfer Rules
    description: Transfer approval rules and configuration
  - name: Transfer Approvals
    description: Transfer approval workflow and admin actions
  - name: File
    description: File endpoints
  - name: Reporting
    description: Reporting and metrics endpoints
paths:
  /v2/users/{userId}/accounts:
    get:
      tags:
        - Account
      summary: List all accounts
      description: List all accounts associated with a user under your organization.
      parameters:
        - $ref: '#/components/parameters/UserIdPathParameter'
        - $ref: '#/components/parameters/AccountRailOptionalParameter'
        - $ref: '#/components/parameters/AccountTypeOptionalParameter'
        - $ref: '#/components/parameters/CurrencyAnyOptionalParameter'
        - $ref: '#/components/parameters/LimitParameter'
        - $ref: '#/components/parameters/CreatedBeforeParameter'
        - $ref: '#/components/parameters/CreatedAfterParameter'
      responses:
        '200':
          $ref: '#/components/responses/GetAllAccountsResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  parameters:
    UserIdPathParameter:
      name: userId
      in: path
      schema:
        type: string
      description: ID of the user
      required: true
    AccountRailOptionalParameter:
      name: rail
      in: query
      schema:
        type: string
        enum:
          - onramp
          - offramp
      description: onramp or offramp
      required: false
    AccountTypeOptionalParameter:
      name: type
      in: query
      schema:
        $ref: '#/components/schemas/AccountTypeEnum'
      description: account type
      required: false
    CurrencyAnyOptionalParameter:
      name: currency
      in: query
      schema:
        type: string
      required: false
    LimitParameter:
      name: limit
      in: query
      schema:
        type: string
        minimum: 1
        maximum: 100
      description: default to 10, maximum to 100
      required: false
    CreatedBeforeParameter:
      name: createdBefore
      in: query
      schema:
        type: string
        format: date
      description: 'ISO format: YYYY-MM-DD'
      required: false
    CreatedAfterParameter:
      name: createdAfter
      in: query
      schema:
        type: string
        format: date
      description: 'ISO format: YYYY-MM-DD'
      required: false
  responses:
    GetAllAccountsResponse:
      description: Success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AllAccountObjects'
          examples:
            AccountObjectListUSExample:
              $ref: '#/components/examples/AccountObjectListUSExample'
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  schemas:
    AccountTypeEnum:
      type: string
      description: The type of account.
      enum:
        - us
        - africa
        - fiat
        - recipient
        - brazilGlobalNetwork
        - nigeriaGlobalNetwork
        - mexicoGlobalNetwork
        - hongKongGlobalNetwork
        - chinaGlobalNetwork
        - singaporeGlobalNetwork
        - italyGlobalNetwork
        - spainGlobalNetwork
        - germanyGlobalNetwork
        - unitedArabEmiratesGlobalNetwork
        - franceGlobalNetwork
        - unitedKingdomGlobalNetwork
        - lithuaniaGlobalNetwork
        - netherlandsGlobalNetwork
        - hungaryGlobalNetwork
        - greeceGlobalNetwork
        - austriaGlobalNetwork
        - irelandGlobalNetwork
        - portugalGlobalNetwork
        - denmarkGlobalNetwork
        - norwayGlobalNetwork
        - croatiaGlobalNetwork
        - slovakiaGlobalNetwork
        - swedenGlobalNetwork
        - polandGlobalNetwork
        - sloveniaGlobalNetwork
        - romaniaGlobalNetwork
        - finlandGlobalNetwork
        - latviaGlobalNetwork
        - czechRepublicGlobalNetwork
        - serbiaGlobalNetwork
        - estoniaGlobalNetwork
        - cyprusGlobalNetwork
        - japanGlobalNetwork
        - southAfricaGlobalNetwork
        - chileGlobalNetwork
        - belgiumGlobalNetwork
        - thailandGlobalNetwork
        - indonesiaGlobalNetwork
        - bulgariaGlobalNetwork
        - icelandGlobalNetwork
        - luxembourgGlobalNetwork
        - maltaGlobalNetwork
        - liechtensteinGlobalNetwork
        - southKoreaGlobalNetwork
        - taiwanGlobalNetwork
        - colombiaGlobalNetwork
        - argentinaGlobalNetwork
        - kenyaGlobalNetwork
        - australiaGlobalNetwork
        - newZealandGlobalNetwork
        - israelGlobalNetwork
        - turkeyGlobalNetwork
        - canadaGlobalNetwork
        - andorraGlobalNetwork
        - albaniaGlobalNetwork
        - switzerlandGlobalNetwork
        - monacoGlobalNetwork
        - moldovaGlobalNetwork
        - montenegroGlobalNetwork
        - northMacedoniaGlobalNetwork
        - sanMarinoGlobalNetwork
        - vaticanCityGlobalNetwork
        - philippinesGlobalNetwork
        - panamaGlobalNetwork
    AllAccountObjects:
      type: object
      properties:
        count:
          type: integer
        banks:
          type: array
          items:
            type: object
            properties:
              accountId:
                type: string
              createdAt:
                type: string
                format: date-time
              status:
                type: string
              accountType:
                type: string
              businessIdentifierCode:
                type: string
              accountNumber:
                type: string
              routingNumber:
                type: string
              accountHolderName:
                type: string
              accountHolderCity:
                type: string
              accountHolderCountry:
                type: string
              accountHolderStreetLine1:
                type: string
              accountHolderStateProvinceRegion:
                type: string
              accountHolderPostalCode:
                type: string
              bankCountry:
                type: string
              userId:
                type: string
              rail:
                type: object
                properties:
                  currency:
                    type: string
                  railType:
                    type: string
                  paymentRail:
                    type: string
        nextCursor:
          type: string
          description: >-
            The `createdAt` timestamp of the last record in the current page.
            Pass this as `createdBefore` in the next request to retrieve the
            next page of results.
    Unauthorized:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    InternalServerError:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
  examples:
    AccountObjectListUSExample:
      summary: Account Object List (US)
      value:
        count: 1
        banks:
          - id: d748da4f-aeb1-4a9d-af30-62ae7e82b897
            createdAt: '2025-09-27T03:34:12.181Z'
            updatedAt: '2025-09-27T03:34:12.181Z'
            accountHolder:
              type: individual
              name: Henry Wu
              address:
                addressLine1: Example St 1
                addressLine2: Apt 123
                city: New York
                stateProvinceRegion: NY
                postalCode: '10010'
                country: USA
            us:
              accountType: Checking
              accountNumber: '123456789'
              routingNumber: '021000021'
              iban: null
              swiftCode: null
              bankName: Bank of NoWhere
              bankCountry: USA
              bankAddress:
                addressLine1: Example St 1
                addressLine2: Apt 123
                city: New York
                stateProvinceRegion: NY
                postalCode: '10010'
                country: USA
              currency: usd
            rail:
              currency: usd
              railType: offramp
              paymentRail: ach
        nextCursor: '2025-09-27T03:34:12.181Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````